<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table39a', function (Blueprint $table) {
            $table->id('DatasetTable39AId');
            $table->integer('dataset_id');
            $table->string('kendaraan')->nullable();
            $table->float('jumlah')->default(0);
            $table->float('bensin')->default(0);
            $table->float('solar')->default(0);
            $table->float('gas')->default(0);
            $table->float('listrik')->default(0);
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table39_a_s');
    }
};
